%define modname mnogosearch
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 34_%{modname}.ini

Summary:	MnoGoSearch extension module for PHP
Name:		php-%{modname}
Version:	1.96
Release:	%mkrel 32
Group:		Development/PHP
URL:		http://www.mnogosearch.org/
License:	PHP License
Source0:	%{modname}-php-extension-%{version}.tar.bz2
Patch0:		php-mnogosearch-build_fix.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libmnogosearch-devel >= 3.2.20
BuildRequires:	postgresql-devel
Epoch:		1

%description
This is a dynamic shared object (DSO) for PHP that will allow you to access
mnoGoSearch free search engine.

%prep

%setup -q -n %{version}
%patch0 -p0

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`

# hack :)
perl -p -i -e "s|udm-config|mnogosearch-${MnoGoSearchVersion}-config|g" config.m4

%build
%serverbuild

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`
export EXTRA_INCLUDES="-I%{_includedir}/mnogosearch-${MnoGoSearchVersion} -I%{_includedir} -I%{_includedir}/pgsql"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-openssl=%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README index.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Mon Feb 07 2011 spuhler <spuhler> 1:1.96-32.mga1
+ Revision: 48125
- removed buildroot definition from .spec
- imported package php-mnogosearch


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-32mdv2011.0
+ Revision: 629838
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-31mdv2011.0
+ Revision: 628165
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-30mdv2011.0
+ Revision: 600511
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-29mdv2011.0
+ Revision: 588849
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-28mdv2010.1
+ Revision: 514578
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-27mdv2010.1
+ Revision: 485408
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-26mdv2010.1
+ Revision: 468191
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-25mdv2010.0
+ Revision: 451294
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1:1.96-24mdv2010.0
+ Revision: 397558
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-23mdv2010.0
+ Revision: 377007
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-22mdv2009.1
+ Revision: 346520
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-21mdv2009.1
+ Revision: 341779
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-20mdv2009.1
+ Revision: 321877
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-19mdv2009.1
+ Revision: 310288
- rebuilt against php-5.2.7

* Tue Jul 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-18mdv2009.0
+ Revision: 252308
- find pgsql headers either way

* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-17mdv2009.0
+ Revision: 238773
- fix build
- rebuild
- rebuilt for php-5.2.6

* Tue Feb 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-15mdv2008.1
+ Revision: 162766
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-14mdv2008.1
+ Revision: 107687
- restart apache if needed

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.96-13mdv2008.0
+ Revision: 90114
- rebuild

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-12mdv2008.0
+ Revision: 77561
- rebuilt against php-5.2.4

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-11mdv2008.0
+ Revision: 39880
- fix deps
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-10mdv2008.0
+ Revision: 33863
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-9mdv2008.0
+ Revision: 21342
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.96-8mdv2007.0
+ Revision: 117600
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-7mdv2007.1
+ Revision: 78090
- rebuilt for php-5.2.0
- Import php-mnogosearch

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-6
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-5mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.96-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdk
- 1.96
- rebuilt against php-5.1.0
- fix versioning

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.95-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.95-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.95-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.95-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-4mdk
- use the %%mkrel macro
- use a safer way to determin MnoGoSearch Version

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-1mdk
- 1.95
- rebuilt for php-5.0.3

* Fri Nov 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.91-1mdk
- 1.91

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.87-1mdk
- rebuilt for php-5.0.2

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.87-1mdk
- rebuilt for php-5.0.1

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.87-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.87-1mdk
- rebuilt for php-4.3.8

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-2mdk
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-1mdk
- rebuilt for php-4.3.7

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-1mdk
- 1.87
- built for php 4.3.6

